/******/ // The require scope
/******/ var __wp_require__ = {};
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__wp_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__wp_require__.o(definition, key) && !__wp_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__wp_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/************************************************************************/
var __wp_exports__ = {};

// EXPORTS
__wp_require__.d(__wp_exports__, {
  "Z": () => (/* binding */ HfcSvgIcon)
});

;// CONCATENATED MODULE: ./.hfc/propnames.js
/* harmony default export */ const propnames = ([["size","class"],[],[]]);

;// CONCATENATED MODULE: ./src/index.ts

const svgAttrs = [["width","24"],["height","24"],["viewBox","0 0 24 24"],["xmlns","http://www.w3.org/2000/svg"],["class","fluentui-icon-highlight-filled"]];
const svgHtml = "<path d=\"M5.25 2C4.01 2 3 3 3 4.25v3C3 8.49 4 9.5 5.25 9.5h13.5c1.24 0 2.25-1 2.25-2.25v-3C21 3.01 20 2 18.75 2H5.25zM5 11.75V11h14v.75c0 1.24-1 2.25-2.25 2.25h-9.5C6.01 14 5 13 5 11.75zm2.5 3.75h9v1.29c0 .81-.44 1.56-1.14 1.96l-.15.08-6.64 3.1a.75.75 0 01-1.06-.58V15.5z\"></path>";
class HfcSvgIcon {
    constructor(container, props) {
        this.container = container;
        for (let i = 0; i < svgAttrs.length; i++) {
            container.setAttribute(svgAttrs[i][0], svgAttrs[i][1]);
        }
        this.render(props);
        container.innerHTML = svgHtml;
    }
    changed(props) {
        this.render(props);
    }
    disconnected() { }
    render(props) {
        if (props.attrs.size) {
            this.container.setAttribute("width", props.attrs.size);
            this.container.setAttribute("height", props.attrs.size);
        }
        if (props.attrs.class) {
            this.container.setAttributeNS(null, "class", props.attrs.class);
        }
        bindToElement(this.container, props.others);
    }
}
HfcSvgIcon.tag = "svg";
HfcSvgIcon.props = propnames;
function bindToElement(elem, obj) {
    for (let i = 0, keys = Object.keys(obj); i < keys.length; i++) {
        const key = keys[i];
        const value = obj[key];
        if (key === "style") {
            if (typeof value === "object") {
                Object.assign(elem.style, value);
            }
            else {
                elem.style.cssText += value;
            }
            continue;
        }
        if (typeof value === "function") {
            elem[key] = function (event) {
                value(event);
            };
        }
        else {
            elem.setAttribute(key, value);
        }
    }
}

var __wp_exports__default = __wp_exports__.Z;
export { __wp_exports__default as default };
